Subject: Re: bug#64795: 30.0.50; manual-entry [(1) fails
From: Eli Zaretskii <[email-masked]>
To: Michael Heerdegen <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 26 Jul 2023 17:31:59 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked],  Stefan Monnier <[email-masked]>
> Date: Wed, 26 Jul 2023 05:20:30 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > > I wonder however: why did you add that `shell-quote-argument' wrapper?
> > > I think there is no shell involved. [...]
> >
> > I used shell-quote-argument because it did the job, and was simple.
> > What would be the alternative? [...]
> 
> Let's go with your patch.  I'm sorry - I was just confused and didn't
> understand why the quoting was necessary.  I was missing that the string
> will me interpreted as a regexp (although it's obvious...).

Thanks, installed on master, and closing the bug.  I added a comment
there regarding the use of shell-quote-argument, for posterity.